# GraphPro
[![Documentation Status](https://readthedocs.org/projects/graphpro/badge/?version=latest)](https://graphpro.readthedocs.io/en/latest/?badge=latest)

[![graphpro](https://github.com/pegerto/graphpro/actions/workflows/python-app.yml/badge.svg)](https://github.com/pegerto/graphpro/actions/workflows/python-app.yml)

GraphPro is a versatile and pluggable OO python library designed for leveraging deep graph learning representations to gain insights into structural proteins and their conformations. With its wide range of functionalities, we provide a comprehensive framework for researchers and practitioners to explore and analyze complex protein structures.

GraphPro harnesses the power of deep learning techniques specifically tailored for graph data, enabling users to capture and model intricate relationships within protein structures. By representing proteins as graphs, where nodes correspond to atoms and edges denote pairwise interactions, DeepGraph facilitates the extraction of valuable structural information.

One of the key advantages of GraphPro is its pluggable nature, which allows users to seamlessly integrate different components and modules. This flexibility empowers researchers to experiment with various deep learning architectures, graph neural networks, and graph representation learning methods. Users can easily customize and combine these modules to fit their specific research needs and optimize their analyses.


# Installation

Using pip:

```
    pip install graphpro
```

# Documentation

You can access the documentation of this packages under the following link: [Read the docs](https://graphpro.readthedocs.io)

# How to cite 

```
Fernandez. P, Dantu, S.C, Pandini. A. "GraphPro: a python framework for protein deep geometrical learning". 2023
```
